<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: DMA_CRC_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">DMA_CRC_T Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ga11450e004bab24c0dbe2b152d95e93fc"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga11450e004bab24c0dbe2b152d95e93fc">CTL</a></td></tr>
<tr class="separator:ga11450e004bab24c0dbe2b152d95e93fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8c41cb44a1921f97ba4b8ab5230e0ad"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8c41cb44a1921f97ba4b8ab5230e0ad">DMASAR</a></td></tr>
<tr class="separator:gaa8c41cb44a1921f97ba4b8ab5230e0ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga411f3d9964120e7bf442d4fe46644353"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga411f3d9964120e7bf442d4fe46644353">RESERVE0</a> [1]</td></tr>
<tr class="separator:ga411f3d9964120e7bf442d4fe46644353"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee2cc59012292dead10fff18f43ef71e"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaee2cc59012292dead10fff18f43ef71e">DMABCR</a></td></tr>
<tr class="separator:gaee2cc59012292dead10fff18f43ef71e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb37485b9fd770784d56d6e9ebd57b2e"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaeb37485b9fd770784d56d6e9ebd57b2e">RESERVE1</a> [1]</td></tr>
<tr class="separator:gaeb37485b9fd770784d56d6e9ebd57b2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7cf62f0df806c2ea48766d2643954acb"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7cf62f0df806c2ea48766d2643954acb">DMACSAR</a></td></tr>
<tr class="separator:ga7cf62f0df806c2ea48766d2643954acb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a6f3fb798fb0a132a2ccf7f6b424233"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0a6f3fb798fb0a132a2ccf7f6b424233">RESERVE2</a> [1]</td></tr>
<tr class="separator:ga0a6f3fb798fb0a132a2ccf7f6b424233"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95f060935bd6cca5c51615de894f40f6"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga95f060935bd6cca5c51615de894f40f6">DMACBCR</a></td></tr>
<tr class="separator:ga95f060935bd6cca5c51615de894f40f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad8d725245a81746f9d034d1c4242cd82"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gad8d725245a81746f9d034d1c4242cd82">DMAIER</a></td></tr>
<tr class="separator:gad8d725245a81746f9d034d1c4242cd82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb314f9a25f38e16be8be0a3178a44a8"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaeb314f9a25f38e16be8be0a3178a44a8">DMAISR</a></td></tr>
<tr class="separator:gaeb314f9a25f38e16be8be0a3178a44a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga318f84a6afb4e661302a1d21d361ba29"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga318f84a6afb4e661302a1d21d361ba29">RESERVE3</a> [22]</td></tr>
<tr class="separator:ga318f84a6afb4e661302a1d21d361ba29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga119abaa69d99974d66efbb946518e931"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga119abaa69d99974d66efbb946518e931">WDATA</a></td></tr>
<tr class="separator:ga119abaa69d99974d66efbb946518e931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3bb69708797f658b773cd864e48e4c0b"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3bb69708797f658b773cd864e48e4c0b">SEED</a></td></tr>
<tr class="separator:ga3bb69708797f658b773cd864e48e4c0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab507dbddc46ba55a5cc05b3de901e132"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab507dbddc46ba55a5cc05b3de901e132">CHECKSUM</a></td></tr>
<tr class="separator:gab507dbddc46ba55a5cc05b3de901e132"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup DMA Direct Memory Access Controller(DMA)
Memory Mapped Structure for DMA Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l01719">1719</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
